Summary:	Includes the sar and iostat system monitoring commands
Name:		sysstat
Version:	11.5.4
Release:	1
License:	GPLv2+
Group:		Monitoring
Url:		http://pagesperso-orange.fr/sebastien.godard/
Source0:	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.xz
Patch0:		sysstat-10.1.2-fix-format-errors.patch
BuildRequires:	lm_sensors-devel
Requires(post,preun):	rpm-helper

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_unitdir}/sysstat.service
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_localstatedir}/log/sa

%post
%_post_service %{name}

%preun
%_preun_service %{name}

if [[ $1 -eq 0 ]]; then
#	Remove sa logs if removing sysstat completely
	rm -f %{_localstatedir}/log/sa/*
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
export sa_lib_dir=%{_libdir}/sa
%configure2_5x \
	--disable-file-attr \
	--disable-stripping
make CFLAGS="%{optflags}" \
	PREFIX="%{_prefix}" \
	SA_LIB_DIR="%{_libdir}/sa" \
	MAN_DIR="%{_mandir}"


%install
make \
	MAN_DIR=%{_mandir} \
	PREFIX=%{_prefix} \
	DESTDIR=%{buildroot}\
	SA_LIB_DIR=%{_libdir}/sa \
	install

# Install service file
mkdir -p %{buildroot}%{_unitdir}
install -m 0644 sysstat.service %{buildroot}%{_unitdir}/

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}%{_sysconfdir}/{cron.daily,cron.hourly}

cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%{_libdir}/sa/sa2 -A &

EOF
chmod +x %{buildroot}%{_sysconfdir}/cron.daily/%{name}

cat > %{buildroot}%{_sysconfdir}/cron.hourly/%{name} <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%{_libdir}/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}%{_sysconfdir}/cron.hourly/%{name}

rm -fr %{buildroot}%{_prefix}/doc

%find_lang %{name}


%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 11.5.4-1
- (cf93da3) New version 11.5.4
- (cf93da3) Enable lm_sensors support
- (cf93da3) Enable debug package
- (cf93da3) Spec cleanup


